import 'package:flutter/material.dart';
import 'package:rothko_mobile/knobs/knob_utils.dart';
import 'package:rothko_mobile/knobs/knobs.dart';

class StringKnob extends Knob<String> {
  StringKnob(String label, String value) : super(label, value);

  @override
  Widget build() => StringKnobWidget(label: label, value: value);
}

class NumKnob extends Knob<num> {
  NumKnob(String label, num value) : super(label, value);

  @override
  Widget build() => NumWidget(label: label, value: value);
}

class StringKnobWidget extends StatelessWidget {
  const StringKnobWidget({Key? key, this.label, this.value}) : super(key: key);

  final String? label;
  final String? value;

  @override
  Widget build(BuildContext context) => ListTile(
        title: TextFormField(
          decoration: InputDecoration(labelText: label),
          initialValue: value,
          onChanged: (v) => context.knobs.update(label!, v),
        ),
      );
}


class NumWidget extends StatelessWidget {
  const NumWidget({Key? key, this.label, this.value}) : super(key: key);

  final String? label;
  final num? value;

  @override
  Widget build(BuildContext context) => ListTile(
        title: TextFormField(
          decoration: InputDecoration(labelText: label),
          initialValue: value.toString(),
          onChanged: (v) => context.knobs.update(label!, int.parse(v)),
        ),
      );
}
