import 'package:flutter/material.dart';
import 'package:rothko_mobile/rothko.dart';
import 'package:rothko_mobile/rothko_system/utilities/colors.dart';
import 'package:rothko_mobile/rothko_system/utilities/textstyles.dart';

class RothkoBasicChips extends StatelessWidget {
  final Color? chipColor;
  final String text;

  

  RothkoBasicChips({
    
    required this.chipColor,
    required this.text,
  });
  @override
  Widget build(BuildContext context) {
    return Chip(
      padding: EdgeInsets.symmetric(vertical: 4, horizontal: 8),
      label: Text(
        text,
        style: TextStyle(
            color: chipColor == RothkoColor.kErrorLighten2
                ? RothkoColor.kErrorBase
                : chipColor == RothkoColor.kSuccessLighten2
                    ? RothkoColor.kSuccessDarken1
                    : chipColor == RothkoColor.kAccentLighten2
                        ? RothkoColor.kAccentBase
                        : chipColor == RothkoColor.kWarningLighten2
                            ? RothkoColor.kWarningDarken2
                            : chipColor == RothkoColor.kSecondaryLighten2
                                ? RothkoColor.kSecondaryDarken1
                                : chipColor == RothkoColor.kPrimaryLighten2
                                    ? RothkoColor.kPrimaryBase
                                    : chipColor == RothkoColor.kLightNeutralBase
                                        ? RothkoColor.kDarkNeutralDarken1
                                        : chipColor ==
                                                    RothkoColor
                                                        .kPrimaryLighten1 ||
                                                chipColor ==
                                                    RothkoColor
                                                        .kSecondaryBase ||
                                                chipColor ==
                                                    RothkoColor
                                                        .kAccentLighten1 ||
                                                chipColor ==
                                                    RothkoColor
                                                        .kErrorLighten1 ||
                                                chipColor ==
                                                    RothkoColor.kWarningBase ||
                                                chipColor ==
                                                    RothkoColor.kSuccessBase ||
                                                chipColor ==
                                                    RothkoColor.kDarkNeutralbase
                                            ? RothkoColor.kLightNeutralLighten2
                                            : chipColor,
            fontFamily: RothkoTextStyles.caption.fontFamily,
            fontWeight: RothkoTextStyles.caption.fontWeight),
      ),
      backgroundColor: chipColor ??
          (RothkoCache.getTheme!(context) == ThemeMode.light
              ? RothkoColor.kDarkNeutralbase
              : RothkoColor.kLightNeutralBase),
    );
  }
}
