import 'package:flutter/material.dart';
import 'package:just_the_tooltip/just_the_tooltip.dart';
import 'package:rothko_mobile/rothko_system/utilities/colors.dart';
import 'package:rothko_mobile/rothko_system/utilities/textstyles.dart';

class RothkoTooltip extends StatelessWidget {
  final double toolTipHeight;
  final AxisDirection direction;
  final Widget triggerWidget;
  final List<Widget> content;

  const RothkoTooltip(
      {Key? key,
      required this.content,
      required this.toolTipHeight,
      required this.direction,
      required this.triggerWidget})
      : super(key: key);

  @override
  Widget build(BuildContext context) {
    return JustTheTooltip(
        elevation: 2.0,
        backgroundColor: RothkoColor.kDarkNeutralDarken2,
        tailBaseWidth: 16.0,
        tailLength: 12.0,

        //direction will switch to opposite side if tooltip will overflow
        preferredDirection: direction,
        triggerMode: TooltipTriggerMode.tap,
        borderRadius: BorderRadius.circular(4),
        isModal: true,
        content: Container(
          padding: EdgeInsets.all(12),
          height: toolTipHeight,
          child: Column(
            crossAxisAlignment: CrossAxisAlignment.start,
            children: content,
          ),
        ),
        child: triggerWidget);
  }
}
