import 'package:flutter/material.dart';
import 'package:rothko_mobile/rothko_system/tooltip/rothko_tooltip.dart';
import 'package:rothko_mobile/rothko_system/utilities/colors.dart';
import 'package:rothko_mobile/rothko_system/utilities/textstyles.dart';

class RothkoTooltipWithTitle extends StatelessWidget {
  final String title, message;
  final double toolTipHeight;
  final AxisDirection direction;
  final Widget triggerWidget;
  const RothkoTooltipWithTitle({
    Key? key,
    required this.title,
    required this.message,
    required this.toolTipHeight,
    required this.direction,
    required this.triggerWidget,
  }) : super(key: key);

  @override
  Widget build(BuildContext context) {
    return RothkoTooltip(
        content: [
          Text(
            title,
            textAlign: TextAlign.left,
            style: RothkoTextStyles.caption.copyWith(
                color: RothkoColor.kLightNeutralLighten2, letterSpacing: 0.02),
          ),
          SizedBox(
            height: 12.0,
          ),
          Text(
            message,
            textAlign: TextAlign.left,
            style: RothkoTextStyles.caption.copyWith(
                color: RothkoColor.kLightNeutralDarken2,
                fontWeight: FontWeight.normal,
                letterSpacing: 0.02),
          )
        ],
        toolTipHeight: toolTipHeight,
        direction: direction,
        triggerWidget: triggerWidget);
  }
}
