import "package:flutter/material.dart";

const kDarkNeutralBase = Color(0xFF001540);
//extended Dark Neutral base
const kDarkNeutralLighten5 = Color(0xFF90A0C2);
const kDarkNeutralLighten4 = Color(0xFF8698BB);
const kDarkNeutralLighten3 = Color(0xFF647AA8);
const kDarkNeutralLighten2 = Color(0xFF3F588D);
const kDarkNeutralLighten1 = Color(0xFF203A6E);

const kDarkNeutralDarken1 = Color(0xFF00123A);
const kDarkNeutralDarken2 = Color(0xFF000F32);
const kDarkNeutralDarken3 = Color(0xFF000C2A);
const kDarkNeutralDarken4 = Color(0xFF000e29);
const kDarkNeutralDarken5 = Color(0xff8697BB);

const kLightNeutralBase = Color(0xFFF5F6FA);
//extended Light Neutral Base
const kLightNeutralLighten5 = Color(0xFFF5F6FA);
const kLightNeutralLighten0 = Color(0xFFFFFFFF);
const kLightNeutralLighten4 = Color(0xFFEFF4FB);
const kLightNeutralLighten3 = Color(0xFFE7EEF9);
const kLightNeutralLighten2 = Color(0xFFDEE8F7);
const kLightNeutralLighten1 = Color(0xFFD4E2F7);

const kLightNeutralDarken1 = Color(0xFFE9EEFA);

const kPrimaryBase = Color(0xFF0047CC);
//extended primary palette
const kPrimaryLighten5 = Color(0xFFE0E9F9);
const kPrimaryLighten4 = Color(0xFFB3C8F0);
const kPrimaryLighten3 = Color(0xFF80A3E6);
const kPrimaryLighten2 = Color(0xFF4D7EDB);
const kPrimaryLighten1 = Color(0xFF2663D4);
const kPrimaryLighten0 = Color(0xFFFFFFFF);

const kPrimaryDarken1 = Color(0xFF0040C7);
const kPrimaryDarken2 = Color(0xFF0037C0);
const kPrimaryDarken3 = Color(0xFF0037C0);
const kPrimaryDarken4 = Color(0xFF0020AD);

const kSuccessBase = Color(0xFF4ECC4E);
//extended Success palette
const kSuccessLighten5 = Color(0xFFEAF9EA);
const kSuccessLighten4 = Color(0xFFCAF0CA);
const kSuccessLighten3 = Color(0xFFA7E6A7);
const kSuccessLighten2 = Color(0xFF83DB83);
const kSuccessLighten1 = Color(0xFF69D469);

const kSuccessDarken1 = Color(0xFF47C747);
const kSuccessDarken2 = Color(0xFF3DC03D);
const kSuccessDarken3 = Color(0xFF35B935);
const kSuccessDarken4 = Color(0xFF25AD25);

const kWarningBase = Color(0xFFDE6C3B);
//extended Warning palette
const kWarningLighten5 = Color(0xFFFBEDE7);
const kWarningLighten4 = Color(0xFFF5D3C4);
const kWarningLighten3 = Color(0xFFEFB69D);
const kWarningLighten2 = Color(0xFFE89876);
const kWarningLighten1 = Color(0xFFE38258);

const kWarningDarken1 = Color(0xFFDA6435);
const kWarningDarken2 = Color(0xFFD5592D);
const kWarningDarken3 = Color(0xFFD14F26);
const kWarningDarken4 = Color(0xFFC83D19);

const kErrorBase = Color(0xFFEE0020);
//extended Error base
const kErrorLighten5 = Color(0xFFFDE0E4);
const kErrorLighten4 = Color(0xFFFAB3BC);
const kErrorLighten3 = Color(0xFFF78090);
const kErrorLighten2 = Color(0xFFF34D63);
const kErrorLighten1 = Color(0xFFF12641);

const kErrorDarken1 = Color(0xFFEC001C);
const kErrorDarken2 = Color(0xFFE90018);
const kErrorDarken3 = Color(0xFFE70013);
const kErrorDarken4 = Color(0xFFAF0017);

const kAccentBase = Color(0xFF7664EB);
//extended Accent base
const kAccentLighten5 = Color(0xFFEEEBFD);
const kAccentLighten4 = Color(0xFFD4CEF9);
const kAccentLighten3 = Color(0xFFB8ADF5);
const kAccentLighten2 = Color(0xFF9C8CF1);
const kAccentLighten1 = Color(0xFF8674EE);

const kAccentDarken1 = Color(0xFF6953E9);
const kAccentDarken2 = Color(0xFF5E49E5);
const kAccentDarken3 = Color(0xFF5440E2);
const kAccentDarken4 = Color(0xFF422FDD);

const kDarkBackground = Color(0xFF000E29);

const kPrimaryBaseBoxShadow = Color.fromRGBO(0, 71, 204, 0.1);
const kSuccessBaseBoxShadow = Color.fromRGBO(78, 204, 78, 0.1);
const kWarningBaseBoxShadow = Color.fromRGBO(222, 108, 59, 0.1);
const kErrorBaseBoxShadow = Color.fromRGBO(238, 0, 32, 0.1);
const kAccentBaseBoxShadow = Color.fromRGBO(113, 91, 235, 0.1);
const kLightBoxShadow = Color.fromRGBO(0, 0, 0, 0.1);
const kDarkBoxShadow = Color.fromRGBO(0, 21, 64, 0.1);

class RothkoColor {
  /// light neutral
  static const kLightNeutralDarken2 = const Color(0xffD2D5DA);
  static const kLightNeutralDarken1 = const Color(0xffDFE1E5);
  static const kLightNeutralBase = const Color(0xffEDEFF2);
  static const kLightNeutralLighten1 = const Color(0xffF8F8F8);
  static const kLightNeutralLighten2 = const Color(0xffFFFFFF);

  /// darken neutral
  static const kDarkNeutralDarken2 = const Color(0xff17191C);
  static const kDarkNeutralDarken1 = const Color(0xff3C4049);
  static const kDarkNeutralbase = const Color(0xff5C6370);
  static const kDarkNeutralLighten1 = const Color(0xff7E8695);
  static const kDarkNeutralLighten2 = const Color(0xffABB0BA);

  /// primary
  static const kPrimaryDarken2 = const Color(0xff001B4D);
  static const kPrimaryDarken1 = const Color(0xff083B9B);
  static const kPrimaryBase = const Color(0xff0047CC);
  static const kPrimaryLighten1 = const Color(0xff387DFF);
  static const kPrimaryLighten2 = const Color(0xffF0F5FF);

  /// secondary
  static const kSecondaryDarken2 = const Color(0xff793606);
  static const kSecondaryDarken1 = const Color(0xffAA4B09);
  static const kSecondaryBase = const Color(0xff00E07529);
  static const kSecondaryLighen1 = const Color(0xffF9B586);
  static const kSecondaryLighten2 = const Color(0xffFEF3EC);

  /// Accent
  static const kAccentDarken2 = const Color(0xff170A5C);
  static const kAccentDarken1 = const Color(0xff2812A1);
  static const kAccentBase = const Color(0xff553CDD);
  static const kAccentLighten1 = const Color(0xff816CEF);
  static const kAccentLighten2 = const Color(0xffEFEDFD);

  /// Success
  static const kSuccessDarken2 = const Color(0xff135813);
  static const kSuccessDarken1 = const Color(0xff1D871D);
  static const kSuccessBase = const Color(0xff2CA62C);
  static const kSuccessLighten1 = const Color(0xff85E585);
  static const kSuccessLighten2 = const Color(0xffEEFBEE);

  //// warning
  static const kWarningDarken2 = const Color(0xffE58619);
  static const kWarningDarken1 = const Color(0xffF0960F);
  static const kWarningBase = const Color(0xffF3AF3D);
  static const kWarningLighten1 = const Color(0xffFED38B);
  static const kWarningLighten2 = const Color(0xffFFF7EB);

  /// Error
  static const kErrorDarken2 = const Color(0xff740615);
  static const kErrorDarken1 = const Color(0xffEA5091E);
  static const kErrorBase = const Color(0xffD4112C);
  static const kErrorLighten1 = const Color(0xffF0475E);
  static const kErrorLighten2 = const Color(0xffFEECEE);
}
